Subject: Re: Beginner's Question: history command
From: [email-masked] (Don Sharp)

8 Aug 1997 01:50:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01 (WinNT; I)
Original-To: Narayan Natarajan <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

As I recall this is because bash attempts to read the file and compares
the result with the stat size. The CR/LFs distort this picture and so
bash decides that something went wrong and it better ignore it.

You probably need to make your mounts binary.

Can't we have default binary mounts please.

Cheers

Don Sharp

Narayan Natarajan wrote:
> 
> Hi,
> 
> My installation of bash does not seem to read the ~/.bash_history although
> it writes to it each time I quit bash. I tried therefore to initiate the
> history by:
> history -r ~/.bash_history
> to see if it loads the existing history and this failed.
> 
> I did read the faq's and man pages etc. nothing seems to have any more info
> on this.
> 
> Any help appreciated.
> 
> Also, I realize that my question may not be of a sufficiently "techie"
> nature to be answered or even read, and so I would like to know if there is
> another mailing group which may be less techie where such unfortunates as
> me may recieve some help.
> 
> Narayan
> | Narayan       _/~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~/
<snip>> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".